package org.apithefire.web.pathmap;

import org.apithefire.util.Objects;

class SuffixPathPattern extends PathPattern {
	
	private String suffix;
	private String suffixWithDot;
	
	public SuffixPathPattern(String suffix) {
		this.suffix = Objects.nonNull(suffix);
		this.suffixWithDot = DOT + suffix;
	}

	@Override
	public boolean matches(String path) {
		return path.endsWith(suffixWithDot);
	}
	
	public String getSuffix() {
		return suffix;
	}
	
}